## Copyright (C) 2015 Oscar Monerris Belda
## 
## This program is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {Function File} {@var{xwrap} =} wrapTo360 (@var{x})
##
## Wraps x into the -180 to 180 interval
##
## @var{x}: angle in degrees (single value or vector)
##
## @example
## 20 = wrapTo360(380)
## @end example
##
## @seealso{wrapTo180, wrapTo2Pi, wraptoPi}
## @end deftypefn

## Author: Oscar Monerris Belda
## Created: 2015-12-09
## v 0.4

function xwrap = wrapTo360(x)
  xwrap = (180/pi)*wrapTo2Pi(x*pi/180);
endfunction