## Copyright (C) 2015 Oscar Monerris Belda
## Copyright (C) 2015 Oscar Monerris Belda
## 
## This program is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {Function File} {@var{xwrap} =} wrapToPi (@var{x})
##
## Wraps x into the -pi to pi interval
##
## @var{x}: angle in radians (single value or vector)
##
## @example
## -pi/2 = wrapToPi(3*pi/2)
## @end example
##
## @seealso{wrapTo180, wrapTo360, wrapto2Pi}
## @end deftypefn

## Author: Oscar Monerris Belda
## Created: 2015-08-23
## v 0.4

function xwrap = wrapToPi(x)
  xwrap = wrapTo2Pi(x+pi)-pi;  
endfunction

%!assert (wrapToPi (pi * [-3:.5:3]),  pi * [-1 -.5 0 -.5 -1 -.5  0 .5 1 .5 0 .5 1], eps)
%!assert (wrapToPi ([Inf NaN pi]),  [XX XX pi], eps)
## Test more than one dimensional vector
%!assert (wrapToPi (pi .* [-2 -1/2 0; 2 1/3 5/3]),  pi* [0 -1/2 0; 1 1/3 2/3], 